/**
 * index.js
 *
 * If you need this component, import the default exports
 * in this file. It gives you a reference for everything
 * needed to interact with it.
 **/

import * as constants from './constants'
import { actionCreators, reducer, state } from './state'
import components from './components'
// import _ from 'lodash'

const filters = {
  all: registermap => registermap.filter(p => registermap.active)
}

const selectors = {
  getAll: state => state[constants.NAME],
  getActive: () => []
}

/* export const getAll = state => state[NAME]
export const getActive = _.compose(filterActive, getAll)
export const getCounts = createSelector(
    getAll,
    getActive,
    (allProjects, activeProjects) => ({
      all: allProjects.length,
      active: activeProjects.length
    })
) */

console.log('Exporting demo_module:', { actionCreators, constants, components, filters, selectors, reducer, state })
export default { actionCreators, constants, components, filters, selectors, reducer, state }
